java自定义异常一个很奇怪的问题

这是我的一段代码

class TestException8 extends Exception{};



public class TestException7 {

public void method() throws TestException8{

System.out.println("method()");

throw new TestException8();

}

public static void main(String[] args) {

TestException7 t=new TestException7();

try {

t.method();

} catch (TestException8 e) {

e.printStackTrace();

}

}

}



输出的结果很奇怪,我反复执行,答应"method()"的顺序不同,为什么,难道不是按顺序执行吗?随机?

第一种情况:

method()

com.chenhuan.p12.TestException8

at com.chenhuan.p12.TestException7.method(TestException7.java:6)

at com.chenhuan.p12.TestException7.main(TestException7.java:11)





第二种情况:

com.chenhuan.p12.TestException8

at com.chenhuan.p12.TestException7.method(TestException7.java:6)

at com.chenhuan.p12.TestException7.main(TestException7.java:11)

method()








问题补充
调试了一下,正常情况下是第一种情况,难道eclipse有问题?

oo

1个回答

呵呵.难说Eclipse的Console显示的问题;

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问